'Newland.CityTheme:FactTeaser':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.NeosNodeTypes:LinkMixin': true
    'Newland.CityTheme:SpacingMixin': false

  ui:
    label: Fakten-Teaser
    icon: cog
    inspector:
      groups:
        link:
          label: Icon & Link
          icon: 'icon-link'
        color:
          label: Akzentfarbe wählen
          icon: palette
  label: ${q(node).property('headline') || 'Fakten-Teaser'}
  properties:
    title:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Titel'
    text:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Text'
            formatting:
              removeFormat: true
              strong: true
    icon:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Icon
        reloadIfChanged: true
        inspector:
          group: link

    link:
      type: string
      ui:
        label: Link
        reloadIfChanged: TRUE
        inspector:
          group: 'link'
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'

    linkTitle:
      ui: ~

    color:
      type: string
      defaultValue: 'c-fact-teaser--secondary'
      ui:
        label: Farbe
        reloadIfChanged: true
        inspector:
          group: color
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Secondary (Standard)
                value: 'c-fact-teaser--secondary'
              secondary:
                label: Primary
                value: 'c-fact-teaser--primary'
              accent:
                label: Accent
                value: 'c-fact-teaser--accent'
              cta:
                label: CTA
                value: 'c-fact-teaser--cta'
              ambient:
                label: Ambient
                value: 'c-fact-teaser--ambient'
